Skip to content
Changelog

Report a bug

Freeagent integration: operations for AI agents

Freeagent connects to Type.com as an integration. This page lists the 207 operations documented for Claude and Codex in Type.com: 95 read, 78 write, 34 destructive.

About Freeagent

Cloud-based accounting software for freelancers and small businesses

Categories: Finance & Accounting

How to connect Freeagent to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

207 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

207 operations listed.

account_locks

  • Read

    List Account Locks for a company

    Documented resource attributes include locked_to_date: The date of the account lock; user_lock: true for the user account lock, omitted otherwise. Only the user account lock can be updated or deleted.; locked_by_description: A description of the resource associated with the account lock. For the user lock, this will be the user or account manager who created the lock.; locked_by_url: A unique identifier for the resource associated with the account lock, where one is available..

    GET /v2/account_locks

  • Write

    Create or Update the User Account Lock

    Documented resource attributes include locked_to_date: The date of the account lock; user_lock: true for the user account lock, omitted otherwise. Only the user account lock can be updated or deleted.; locked_by_description: A description of the resource associated with the account lock. For the user lock, this will be the user or account manager who created the lock.; locked_by_url: A unique identifier for the resource associated with the account lock, where one is available..

    PUT /v2/account_locks

  • Destructive

    Delete the User Account Lock

    Documented resource attributes include locked_to_date: The date of the account lock; user_lock: true for the user account lock, omitted otherwise. Only the user account lock can be updated or deleted.; locked_by_description: A description of the resource associated with the account lock. For the user lock, this will be the user or account manager who created the lock.; locked_by_url: A unique identifier for the resource associated with the account lock, where one is available..

    DELETE /v2/account_locks

clients

  • Read

    List clients

    You can use this API endpoint to get a list of the clients for the currently authenticated account manager. If they are a senior account manager, all clients for the practice will be returned. To sort in descending order, the sort parameter can be prefixed with a hyphen. This parameter extends the existing clients endpoint to minimise the data response to just three attributes: id, name and subdomain. While using this parameter it is also possible to increase the maximum per_page pagination level from 100 to 500. While using the minimal_data parameter, it is possible to increase the maximum pagination clients endpoint from 100 per page to 500 per page. Documented query variants use from_date, minimal_data, per_page, sort, to_date, updated_since, view.

    GET /v2/clients

account_managers

  • Read

    List account managers

    The documented response example contains fields account_managers, url, name, email.

    GET /v2/account_managers

  • Read

    Get details of a single account manager

    The documented response example contains fields account_manager, url, name, email.

    GET /v2/account_managers/{id}

  • Read

    Get details of the current account manager

    This will return the details for the currently authenticated account manager.

    GET /v2/account_managers/me

practice

  • Read

    Get details of accountancy practice

    The documented response example contains fields name, subdomain.

    GET /v2/practice

attachments

  • Read

    Show a single attachment

    Documented resource attributes include url: The unique identifier for the attachment; content_src: URL to the original full-size file; content_src_medium: URL to a medium-size thumbnail (if a thumbnail exists); content_src_small: URL to a small-size thumbnail (if a thumbnail exists); expires_at: When the content_src URLs expire. New URLs should be fetched from the API once this timestamp passes.; content_type: MIME-type.

    GET /v2/attachments/{id}

  • Destructive

    Delete a single attachment

    Documented resource attributes include url: The unique identifier for the attachment; content_src: URL to the original full-size file; content_src_medium: URL to a medium-size thumbnail (if a thumbnail exists); content_src_small: URL to a small-size thumbnail (if a thumbnail exists); expires_at: When the content_src URLs expire. New URLs should be fetched from the API once this timestamp passes.; content_type: MIME-type.

    DELETE /v2/attachments/{id}

accounting

  • Read

    Get the balance sheet

    If no as_at_date param is specified, the values returned are as at the current date, from the beginning of the ongoing annual accounting period. If as_at_date is specified, the values returned are for the annual accounting period containing as_at_date , up to the specified date. Documented query variants use as_at_date. Documented resource attributes include accounting_period_start_date: Start date of the accounting period for which the values are shown Not applicable on opening balances; as_at_date: Values shown are as at this date, starting from accounting_period_start_date Not applicable on opening balances; currency: ISO code representing the company's native currency; capital_assets: Capital assets of the business, containing: accounts : Array of capital asset accounts, each containing the name , nominal_code and total_debit_value of the account, rounded to the nearest integer net_book_value : Net book value of all capital asset accounts, rounded to the nearest integer; current_assets: Current assets of the business, containing: accounts : Array of current asset accounts, each containing the name , nominal_code and total_debit_value of the account, rounded to the nearest integer; current_liabilities: Current liabilities of the business, containing: accounts : Array of current liability accounts, each containing the name , nominal_code and total_debit_value of the account, rounded to the nearest integer A negative total debit value indicates money owed by the business.

    GET /v2/accounting/balance_sheet

  • Read

    Get the opening balances

    Note that the opening balances response does not include accounting_period_start_date or as_at_date , as they are not applicable. No date param is needed, as the values will always only relate to the opening balances period. Documented resource attributes include accounting_period_start_date: Start date of the accounting period for which the values are shown Not applicable on opening balances; as_at_date: Values shown are as at this date, starting from accounting_period_start_date Not applicable on opening balances; currency: ISO code representing the company's native currency; capital_assets: Capital assets of the business, containing: accounts : Array of capital asset accounts, each containing the name , nominal_code and total_debit_value of the account, rounded to the nearest integer net_book_value : Net book value of all capital asset accounts, rounded to the nearest integer; current_assets: Current assets of the business, containing: accounts : Array of current asset accounts, each containing the name , nominal_code and total_debit_value of the account, rounded to the nearest integer; current_liabilities: Current liabilities of the business, containing: accounts : Array of current liability accounts, each containing the name , nominal_code and total_debit_value of the account, rounded to the nearest integer A negative total debit value indicates money owed by the business.

    GET /v2/accounting/balance_sheet/opening_balances

  • Read

    Get the P&L summary

    Note: Requested date periods must be equal to or less than 12 months or be contained within a single accounting year. The request can be filtered either with an annual accounting period or by specifying start and end dates. When no parameters are provided the default time period will be the current accounting year to date. The from_date and to_date params should be in the format YYYY-MM-DD . If specifying only one of the date params, the other will default: from_date to the start of the current accounting period and to_date to today. The accounting period parameter should be in the format 2022/23 , indicating the start and end year of the period. The profit and loss for the current accounting period. Documented resource attributes include from: Start date of the P&L report; to: End date of the P&L report; income: Income at the end of the report's period, in the company's native currency; expenses: Expenses at the end of the report's priod, in the company's native currency; operating_profit: Profit from the business' day-to-day trading and activities, at the end of the report's period, in the company's native currency; less: Totals which are subtracted from the operating profit in order to calculate the retained profit. Each item has the following elements: title : What is being subtracted total : Amount subtracted, in company's native currency.

    GET /v2/accounting/profit_and_loss/summary

  • Read

    List all transactions

    Specifying no time period will return transactions dated between the start of the current accounting period and the current date. Note: Requested date periods must be equal or less than 12 months or be contained within a single accounting year. Date params should be in the format YYYY-MM-DD . Documented resource attributes include url: The unique identifier for the transaction; dated_on: Date of transaction in YYYY-MM-DD format; created_at: When the transaction was created; updated_at: When the transaction was last updated; description: The description of the source of the transaction, for example the reference of a bill; category: The unique identifier for the category associated with the transaction.

    GET /v2/accounting/transactions

  • Read

    Get a single transaction

    Documented resource attributes include url: The unique identifier for the transaction; dated_on: Date of transaction in YYYY-MM-DD format; created_at: When the transaction was created; updated_at: When the transaction was last updated; description: The description of the source of the transaction, for example the reference of a bill; category: The unique identifier for the category associated with the transaction.

    GET /v2/accounting/transactions/{id}

  • Read

    Get the trial balance summary

    Date Filters If no dates are specified, the summary is for the current date. If only to_date is specified, the summary is for a period containing the specified date. The trial balance figures are from the beginning of the accounting period up to the specified date. If both from_date and to_date are specified, the summary is for a period with the specified custom range. The display_nominal_code attribute always returns the full category code as it's displayed on accounting reports in the FreeAgent web UI, and should be used in most circumstances instead of nominal_code . The nominal_code attribute maintains legacy behaviour where, for bank account and user categories (codes 750 and 900-910), the second part of the code refers to the ID of the related resource (bank account or user) rather than the category sub-code. Documented query variants use to_date.

    GET /v2/accounting/trial_balance/summary

  • Read

    Get the opening balances

    Requires vendor access level Tax, Accounting & Users , unless stated otherwise.

    GET /v2/accounting/trial_balance/summary/opening_balances

bank_accounts

  • Read

    List bank accounts

    Documented query variants use view. Documented resource attributes include url: The unique identifier for the bank account; type: Can be set to one of the following values: StandardBankAccount (the default if no type is given) CreditCardAccount EcommerceAccount The following additional types may be returned from the API but may not be set by API apps. RentalStatementAccount AmazonSellerBankAccount GocardlessBankAccount PaypalClassicAccount Paypal::CurrencyAccount StripeBankAccount; name: Account name; currency: The accounting currency for the account, e.g. GBP , USD , EUR Defaults to the native currency Cannot be changed once a bank account has any transactions; is_personal: true for a personal account, false for a business account; is_primary: true if it is the primary bank account of the company , false otherwise.

    GET /v2/bank_accounts

  • Read

    Get a single bank account

    Documented resource attributes include url: The unique identifier for the bank account; type: Can be set to one of the following values: StandardBankAccount (the default if no type is given) CreditCardAccount EcommerceAccount The following additional types may be returned from the API but may not be set by API apps. RentalStatementAccount AmazonSellerBankAccount GocardlessBankAccount PaypalClassicAccount Paypal::CurrencyAccount StripeBankAccount; name: Account name; currency: The accounting currency for the account, e.g. GBP , USD , EUR Defaults to the native currency Cannot be changed once a bank account has any transactions; is_personal: true for a personal account, false for a business account; is_primary: true if it is the primary bank account of the company , false otherwise.

    GET /v2/bank_accounts/{id}

  • Write

    Create a bank account

    Payload should have a root bank_account element, containing elements listed under Attributes . Documented resource attributes include url: The unique identifier for the bank account; type: Can be set to one of the following values: StandardBankAccount (the default if no type is given) CreditCardAccount EcommerceAccount The following additional types may be returned from the API but may not be set by API apps. RentalStatementAccount AmazonSellerBankAccount GocardlessBankAccount PaypalClassicAccount Paypal::CurrencyAccount StripeBankAccount; name: Account name; currency: The accounting currency for the account, e.g. GBP , USD , EUR Defaults to the native currency Cannot be changed once a bank account has any transactions; is_personal: true for a personal account, false for a business account; is_primary: true if it is the primary bank account of the company , false otherwise.

    POST /v2/bank_accounts

  • Write

    Update a bank account

    Payload should have a root bank_account element, containing elements listed under Attributes that should be updated. Documented resource attributes include url: The unique identifier for the bank account; type: Can be set to one of the following values: StandardBankAccount (the default if no type is given) CreditCardAccount EcommerceAccount The following additional types may be returned from the API but may not be set by API apps. RentalStatementAccount AmazonSellerBankAccount GocardlessBankAccount PaypalClassicAccount Paypal::CurrencyAccount StripeBankAccount; name: Account name; currency: The accounting currency for the account, e.g. GBP , USD , EUR Defaults to the native currency Cannot be changed once a bank account has any transactions; is_personal: true for a personal account, false for a business account; is_primary: true if it is the primary bank account of the company , false otherwise.

    PUT /v2/bank_accounts/{id}

  • Destructive

    Delete a bank account

    Documented resource attributes include url: The unique identifier for the bank account; type: Can be set to one of the following values: StandardBankAccount (the default if no type is given) CreditCardAccount EcommerceAccount The following additional types may be returned from the API but may not be set by API apps. RentalStatementAccount AmazonSellerBankAccount GocardlessBankAccount PaypalClassicAccount Paypal::CurrencyAccount StripeBankAccount; name: Account name; currency: The accounting currency for the account, e.g. GBP , USD , EUR Defaults to the native currency Cannot be changed once a bank account has any transactions; is_personal: true for a personal account, false for a business account; is_primary: true if it is the primary bank account of the company , false otherwise.

    DELETE /v2/bank_accounts/{id}

bank_feeds

  • Read

    Reading an API Bank Feed

    The requested bank feed cannot be found in this FreeAgent account. Documented resource attributes include url: The unique identifier for the Bank Feed; bank_account: The URL of the bank account which the feed will import transactions into; state: The current status of the feed; created_at: Creation of the feed resource (UTC); updated_at: When the feed resource was last updated (UTC); feed_type: The type of the feed. Can be "api" or "open_banking"..

    GET /v2/bank_feeds/{id}

  • Read

    Reading the list of bank feeds for a company

    Documented resource attributes include url: The unique identifier for the Bank Feed; bank_account: The URL of the bank account which the feed will import transactions into; state: The current status of the feed; created_at: Creation of the feed resource (UTC); updated_at: When the feed resource was last updated (UTC); feed_type: The type of the feed. Can be "api" or "open_banking"..

    GET /v2/bank_feeds

bank_transaction_explanations

  • Read

    List all bank transaction explanations

    Requires the bank account to be specified. Documented query variants use bank_account, from_date, to_date, updated_since. Documented resource attributes include url: The unique identifier for the explanation; bank_account: Bank account in which the explained transaction will be created Required if bank_transaction is not specified; bank_transaction: Transaction that is being explained Required if bank_account is not specified; type: Read-only explanation type, e.g. Payment , Invoice Receipt; ec_status: Transaction's VAT status for reporting purposes. One of the following: UK/Non-EC EC Goods EC Services Reverse Charge EC VAT MOSS Please note that EC Goods and EC Services are no longer valid options if the transaction is dated 1/1/2021 or later and the company is based in Great Britain (but not Northern Ireland), following the UK's withdrawal from the EU. Reverse Charge is only a valid status if the transaction is dated 1/1/2021 or later.; place_of_supply: Place of supply when ec_status is EC VAT MOSS.

    GET /v2/bank_transaction_explanations

  • Read

    Get a single bank transaction explanation

    Documented resource attributes include url: The unique identifier for the explanation; bank_account: Bank account in which the explained transaction will be created Required if bank_transaction is not specified; bank_transaction: Transaction that is being explained Required if bank_account is not specified; type: Read-only explanation type, e.g. Payment , Invoice Receipt; ec_status: Transaction's VAT status for reporting purposes. One of the following: UK/Non-EC EC Goods EC Services Reverse Charge EC VAT MOSS Please note that EC Goods and EC Services are no longer valid options if the transaction is dated 1/1/2021 or later and the company is based in Great Britain (but not Northern Ireland), following the UK's withdrawal from the EU. Reverse Charge is only a valid status if the transaction is dated 1/1/2021 or later.; place_of_supply: Place of supply when ec_status is EC VAT MOSS.

    GET /v2/bank_transaction_explanations/{id}

  • Read

    List all file attachments for a Bank Transaction Explanation

    Documented resource attributes include attachments: An array of up to 50 attachment objects.

    GET /v2/bank_transaction_explanations/{id}/attachments

  • Write

    Create a bank transaction explanation

    Payload should have a root bank_transaction_explanation element, containing elements listed under Attributes . Bank transaction explanations can be created for all of the explanation types supported in FreeAgent. Set the bank_transaction attribute to explain an existing bank transaction or set the bank_account attribute to create a matching bank transaction along with the bank transaction explanation. In general the explanation type is chosen by setting the category attribute. However, for paying an invoice, bill or transferring funds between bank accounts, the category is not required. To make a Smart User Payment, set the paid_user attribute, but omit the category attribute. To create explanations for other kinds of user payments set both the paid_user attribute and the relevant category attribute. Documented resource attributes include url: The unique identifier for the explanation; bank_account: Bank account in which the explained transaction will be created Required if bank_transaction is not specified; bank_transaction: Transaction that is being explained Required if bank_account is not specified; type: Read-only explanation type, e.g. Payment , Invoice Receipt; ec_status: Transaction's VAT status for reporting purposes. One of the following: UK/Non-EC EC Goods EC Services Reverse Charge EC VAT MOSS Please note that EC Goods and EC Services are no longer valid options if the transaction is dated 1/1/2021 or later and the company is based in Great Britain (but not Northern Ireland), following the UK's withdrawal from the EU. Reverse Charge is only a valid status if the transaction is dated 1/1/2021 or later.; place_of_supply: Place of supply when ec_status is EC VAT MOSS.

    POST /v2/bank_transaction_explanations

  • Write

    Update a bank transaction explanation

    Payload should have a root bank_transaction_explanation element, containing elements listed under Attributes that should be updated. Documented resource attributes include url: The unique identifier for the explanation; bank_account: Bank account in which the explained transaction will be created Required if bank_transaction is not specified; bank_transaction: Transaction that is being explained Required if bank_account is not specified; type: Read-only explanation type, e.g. Payment , Invoice Receipt; ec_status: Transaction's VAT status for reporting purposes. One of the following: UK/Non-EC EC Goods EC Services Reverse Charge EC VAT MOSS Please note that EC Goods and EC Services are no longer valid options if the transaction is dated 1/1/2021 or later and the company is based in Great Britain (but not Northern Ireland), following the UK's withdrawal from the EU. Reverse Charge is only a valid status if the transaction is dated 1/1/2021 or later.; place_of_supply: Place of supply when ec_status is EC VAT MOSS.

    PUT /v2/bank_transaction_explanations/{id}

  • Write

    Attach a file attachments to a Bank Transaction Explanation

    Note: You can attach up to 10 file attachments per API call, up to a total of 50 file attachments per Bank Transaction Explanation. All file attachments, including the newly created one(s), are returned. See List all file attachments for a Bank Transaction Explanation for the response payload structure. Documented resource attributes include attachments: An array of up to 50 attachment objects.

    POST /v2/bank_transaction_explanations/{id}/attachments

  • Destructive

    Delete a bank transaction explanation

    Documented resource attributes include url: The unique identifier for the explanation; bank_account: Bank account in which the explained transaction will be created Required if bank_transaction is not specified; bank_transaction: Transaction that is being explained Required if bank_account is not specified; type: Read-only explanation type, e.g. Payment , Invoice Receipt; ec_status: Transaction's VAT status for reporting purposes. One of the following: UK/Non-EC EC Goods EC Services Reverse Charge EC VAT MOSS Please note that EC Goods and EC Services are no longer valid options if the transaction is dated 1/1/2021 or later and the company is based in Great Britain (but not Northern Ireland), following the UK's withdrawal from the EU. Reverse Charge is only a valid status if the transaction is dated 1/1/2021 or later.; place_of_supply: Place of supply when ec_status is EC VAT MOSS.

    DELETE /v2/bank_transaction_explanations/{id}

  • Destructive

    Update an existing file attachment associated with a Bank Transaction Explanation

    All file attachments, including the recently updated one(s), are returned. See List all file attachments for a Bank Transaction Explanation for the response payload structure. All file attachments, excluding the recently deleted one(s), are returned. See List all file attachments for a Bank Transaction Explanation for the response payload structure. Note: You can attach, update or delete file attachments using a single PUT call. You can attach up to 10 file attachments per API call, up to a total of 50 file attachments per Bank Transaction Explanation. All file attachments, excluding any that were deleted, are returned. See List all file attachments for a Bank Transaction Explanation for the response payload structure. Documented resource attributes include attachments: An array of up to 50 attachment objects.

    PUT /v2/bank_transaction_explanations/{id}/attachments

  • Destructive

    Delete all file attachments associated with a Bank Transaction Explanation

    Documented resource attributes include attachments: An array of up to 50 attachment objects.

    DELETE /v2/bank_transaction_explanations/{id}/attachments

bank_transactions

  • Read

    List all bank transactions under a certain bank account

    Returns only transactions that are part of the last statement that has been uploaded. Note that this may have been uploaded via the API or by a user via the web interface. Documented query variants use bank_account, from_date, last_uploaded, to_date, updated_since, view. Documented resource attributes include url: The unique identifier for the bank transaction; amount: Total amount in the company's native currency; bank_account: Transaction's bank account; dated_on: Date of transaction in YYYY-MM-DD format; description: Free-text description; full_description: A complete description of the transaction, including the amount and type.

    GET /v2/bank_transactions

  • Read

    Get a single bank transaction

    Documented resource attributes include url: The unique identifier for the bank transaction; amount: Total amount in the company's native currency; bank_account: Transaction's bank account; dated_on: Date of transaction in YYYY-MM-DD format; description: Free-text description; full_description: A complete description of the transaction, including the amount and type.

    GET /v2/bank_transactions/{id}

  • Write

    Upload a bank statement

    Bank statements can be uploaded as either an array of transactions or as a file. Note: For all statement imports, transactions are deduplicated against any existing transactions in the bank account on that date with the same amount and description. To avoid any incorrect deduplication, best practice is to include all of a day's transactions in a single statement upload. The transaction_type if passed, can be any of the following values: Your data has been uploaded successfully. However, this does not indicate whether or not your statement has been imported correctly - please make another request to list your currently imported transactions, or check in the FreeAgent application itself to see if your import has succeeded. Your request was poorly formatted and could not be parsed successfully. Please check you have not omitted a required attribute and have formatted your request correctly. You have either made a request to the wrong URL or you have failed to provide a valid bank account to import to. You have omitted the statement value or the statement you have submitted does not contain any data. Documented query variants use bank_account. Documented resource attributes include url: The unique identifier for the bank transaction; amount: Total amount in the company's native currency; bank_account: Transaction's bank account; dated_on: Date of transaction in YYYY-MM-DD format; description: Free-text description; full_description: A complete description of the transaction, including the amount and type.

    POST /v2/bank_transactions/statement

bank_transaction

  • Destructive

    Delete a bank transaction explanation

    Bank transactions can only be deleted if they are fully unexplained or if there are no explanations for the transaction. Documented resource attributes include url: The unique identifier for the bank transaction; amount: Total amount in the company's native currency; bank_account: Transaction's bank account; dated_on: Date of transaction in YYYY-MM-DD format; description: Free-text description; full_description: A complete description of the transaction, including the amount and type.

    DELETE /v2/bank_transaction/{id}

bills

  • Read

    List all bills

    You can include bill items nested into the list of bills which increases request size but removes the need to request the bills separately to see bill item information. Documented query variants use contact, from_date, nested_bill_items, project, to_date, updated_since, view. Documented resource attributes include url: The unique identifier for the bill; contact: Contact being billed; reference: Free-text reference; dated_on: Date of bill; due_on: Due date of bill; paid_on: Date of most recent payment, only returned for fully paid bills and bill refunds [ Learn more about bill refunds ].

    GET /v2/bills

  • Read

    Get a single bill

    Documented resource attributes include url: The unique identifier for the bill; contact: Contact being billed; reference: Free-text reference; dated_on: Date of bill; due_on: Due date of bill; paid_on: Date of most recent payment, only returned for fully paid bills and bill refunds [ Learn more about bill refunds ].

    GET /v2/bills/{id}

  • Write

    Create a bill

    Payload must have a root bill element, containing elements listed under Attributes . Documented resource attributes include url: The unique identifier for the bill; contact: Contact being billed; reference: Free-text reference; dated_on: Date of bill; due_on: Due date of bill; paid_on: Date of most recent payment, only returned for fully paid bills and bill refunds [ Learn more about bill refunds ].

    POST /v2/bills

  • Destructive

    Update a bill

    Payload must have a root bill element, containing elements listed under Attributes that should be updated. Bill items must have a url attribute, either set to the URL identifier of an existing bill item to update or delete or to an empty string to create a new bill item. Documented resource attributes include url: The unique identifier for the bill; contact: Contact being billed; reference: Free-text reference; dated_on: Date of bill; due_on: Due date of bill; paid_on: Date of most recent payment, only returned for fully paid bills and bill refunds [ Learn more about bill refunds ]. Nested update payload can delete existing bill items using _destroy; maximum documented effect is destructive.

    PUT /v2/bills/{id}

  • Destructive

    Delete a bill

    Documented resource attributes include url: The unique identifier for the bill; contact: Contact being billed; reference: Free-text reference; dated_on: Date of bill; due_on: Due date of bill; paid_on: Date of most recent payment, only returned for fully paid bills and bill refunds [ Learn more about bill refunds ].

    DELETE /v2/bills/{id}

capital_asset_types

  • Read

    List all capital assets

    Documented resource attributes include url: The unique identifier for the capital asset type; name: Name of a user-created custom asset type or one of the system values from the following list: Computer Equipment Fixtures and Fittings Motor Vehicles Other Capital Asset; system_default: true for default capital asset types, false if it was created by a user; created_at: Creation of the capital asset type (UTC); updated_at: When the capital asset type was last updated (UTC).

    GET /v2/capital_asset_types

  • Read

    Get a single capital asset type

    Documented resource attributes include url: The unique identifier for the capital asset type; name: Name of a user-created custom asset type or one of the system values from the following list: Computer Equipment Fixtures and Fittings Motor Vehicles Other Capital Asset; system_default: true for default capital asset types, false if it was created by a user; created_at: Creation of the capital asset type (UTC); updated_at: When the capital asset type was last updated (UTC).

    GET /v2/capital_asset_types/{id}

  • Write

    Create a capital asset type

    Payload should have a root capital_asset_type element containing the name attribute. Documented resource attributes include url: The unique identifier for the capital asset type; name: Name of a user-created custom asset type or one of the system values from the following list: Computer Equipment Fixtures and Fittings Motor Vehicles Other Capital Asset; system_default: true for default capital asset types, false if it was created by a user; created_at: Creation of the capital asset type (UTC); updated_at: When the capital asset type was last updated (UTC).

    POST /v2/capital_asset_types

  • Write

    Update a capital asset type

    Only user created capital asset types that do not contain any items can be updated. Payload should have a root capital_asset_type element containing the name attribute. Documented resource attributes include url: The unique identifier for the capital asset type; name: Name of a user-created custom asset type or one of the system values from the following list: Computer Equipment Fixtures and Fittings Motor Vehicles Other Capital Asset; system_default: true for default capital asset types, false if it was created by a user; created_at: Creation of the capital asset type (UTC); updated_at: When the capital asset type was last updated (UTC).

    PUT /v2/capital_asset_types/{id}

  • Destructive

    Delete a capital asset type

    Only user created capital asset types that do not contain any items can be deleted. Documented resource attributes include url: The unique identifier for the capital asset type; name: Name of a user-created custom asset type or one of the system values from the following list: Computer Equipment Fixtures and Fittings Motor Vehicles Other Capital Asset; system_default: true for default capital asset types, false if it was created by a user; created_at: Creation of the capital asset type (UTC); updated_at: When the capital asset type was last updated (UTC).

    DELETE /v2/capital_asset_types/{id}

capital_assets

  • Read

    List all capital assets

    The include_history parameter can be added to the request URL to retrieve information about events in the capital asset life cycle (such as purchase, depreciation, and disposal). If relevant, capital asset history will also include capital allowance calculations such as annual investment allowance, first year allowances, and allocation to the main rate or special rate pool for writing down allowances (please bear in mind that FreeAgent’s comprehensive capital allowances calculation is only available for assets purchased within an accounting year ending on or after 23rd July 2020; any assets purchased within an accounting year ending before 23rd July 2020 will continue to be treated by FreeAgent as 100% allowable for tax). If include_history=true is passed into the request URL, the response will include a capital_asset_history array and will look as follows: Documented query variants use include_history, view. Documented resource attributes include url: The unique identifier for the capital asset; description: Free-text description; asset_life_years: Note! This field is deprecated. See the depreciation_profile field instead. This field will contain the asset life in years for straight line depreciation, otherwise it will be 0.; depreciation_profile: Details of the method used for calculating depreciation, along with its frequency. See depreciation profiles for more details.; asset_type: A user created custom asset type or one of the system values from the following list: Computer Equipment Fixtures and Fittings Motor Vehicles Other Capital Asset; purchased_on: When the asset was purchased, in YYYY-MM-DD format.

    GET /v2/capital_assets

  • Read

    Get a single capital asset

    The include_history parameter can also be used for this endpoint to retrieve capital asset history events for a single item. Documented resource attributes include url: The unique identifier for the capital asset; description: Free-text description; asset_life_years: Note! This field is deprecated. See the depreciation_profile field instead. This field will contain the asset life in years for straight line depreciation, otherwise it will be 0.; depreciation_profile: Details of the method used for calculating depreciation, along with its frequency. See depreciation profiles for more details.; asset_type: A user created custom asset type or one of the system values from the following list: Computer Equipment Fixtures and Fittings Motor Vehicles Other Capital Asset; purchased_on: When the asset was purchased, in YYYY-MM-DD format.

    GET /v2/capital_assets/{id}

cashflow

  • Read

    Cashflow summary for a given date range

    Documented query variants use from_date, to_date.

    GET /v2/cashflow

categories

  • Read

    List all categories

    Returns the list of all categories for the current company in four sets: Admin Expenses, Cost of Sales, Income and General. The list of categories varies between companies as users can create custom categories. Returns the list of all categories as above except it includes sub accounts in the list instead of the associated top level accounts where they exist. Sub accounts can be identified by inspecting the nominal code which will include a - sign and a sub code - for example 602-1 . For clarity, only one category per set is shown below Documented query variants use sub_accounts. Documented resource attributes include url: The unique identifier for the category; description: Category name; nominal_code: Category code; group_description: Name of the group to which the category belongs; auto_sales_tax_rate: One of the following: Outside of the scope of VAT Zero rate Reduced rate Standard rate Exempt; allowable_for_tax: true if cost can be deducted from income when working out your tax bill, false otherwise.

    GET /v2/categories

  • Read

    Get a single category

    Documented resource attributes include url: The unique identifier for the category; description: Category name; nominal_code: Category code; group_description: Name of the group to which the category belongs; auto_sales_tax_rate: One of the following: Outside of the scope of VAT Zero rate Reduced rate Standard rate Exempt; allowable_for_tax: true if cost can be deducted from income when working out your tax bill, false otherwise.

    GET /v2/categories/{nominal_code}

  • Write

    Create a category

    Payload should have a root category element, containing attributes allowed for the specific category type. Allowed attributes: description nominal_code - this can be any unique value from 001 to 049 category_group - must be equal to income Allowed attributes: description nominal_code - this can be any unique value from 096 to 199 tax_reporting_name - see below for valid values by company type allowable_for_tax auto_sales_tax_rate - defaults to Standard rate if not specified category_group - must be equal to cost_of_sales Allowed attributes: description nominal_code - this can be any unique value from 200 to 399 tax_reporting_name - see below for valid values by company type allowable_for_tax auto_sales_tax_rate - defaults to Standard rate if not specified category_group - must be equal to admin_expenses Allowed attributes: description nominal_code - this can be any unique value from 671 to 720 tax_reporting_name - see below for valid values by company type category_group - must be equal to current_assets Allowed attributes: description nominal_code - this can be any unique value from 731 to 780 tax_reporting_name - see below for valid values by company type category_group - must be equal to liabilities Allowed attributes: description nominal_code - this can be any unique value from 921 to 960 category_group - must be equal to equities Documented resource attributes include url: The unique identifier for the category; description: Category name; nominal_code: Category code; group_description: Name of the group to which the category belongs; auto_sales_tax_rate: One of the following: Outside of the scope of VAT Zero rate Reduced rate Standard rate Exempt; allowable_for_tax: true if cost can be deducted from income when working out your tax bill, false otherwise.

    POST /v2/categories

  • Write

    Update a category

    Only categories that do not contain any items can be updated. Payload should have a root category element, containing attributes allowed for the specific category type. Allowed attributes: description nominal_code - this can be any unique value from 001 to 049 Allowed attributes: description nominal_code - this can be any unique value from 096 to 199 tax_reporting_name - see below for valid values by company type allowable_for_tax auto_sales_tax_rate Allowed attributes: description nominal_code - this can be any unique value from 200 to 399 tax_reporting_name - see below for valid values by company type allowable_for_tax auto_sales_tax_rate Allowed attributes: description nominal_code - this can be any unique value from 671 to 720 tax_reporting_name - see below for valid values by company type Allowed attributes: description nominal_code - this can be any unique value from 731 to 780 tax_reporting_name - see below for valid values by company type Allowed attributes: description nominal_code - this can be any unique value from 921 to 960 Documented resource attributes include url: The unique identifier for the category; description: Category name; nominal_code: Category code; group_description: Name of the group to which the category belongs; auto_sales_tax_rate: One of the following: Outside of the scope of VAT Zero rate Reduced rate Standard rate Exempt; allowable_for_tax: true if cost can be deducted from income when working out your tax bill, false otherwise.

    PUT /v2/categories/{nominal_code}

  • Destructive

    Delete a category

    Only user-created categories that do not contain any items can be deleted. Documented resource attributes include url: The unique identifier for the category; description: Category name; nominal_code: Category code; group_description: Name of the group to which the category belongs; auto_sales_tax_rate: One of the following: Outside of the scope of VAT Zero rate Reduced rate Standard rate Exempt; allowable_for_tax: true if cost can be deducted from income when working out your tax bill, false otherwise.

    DELETE /v2/categories/{nominal_code}

cis_bands

  • Read

    List all CIS bands for a company

    These are the Construction Industry Scheme bands that have been selected for the company in the CIS for Subcontractors settings. Since these bands do not change frequently, we suggest caching them client-side and updating every once in a while, for example once a day or at app start-up. Use the names of the bands in conjunction with the cis_rate attribute on invoices.

    GET /v2/cis_bands

cis_settings

  • Read

    Get CIS settings

    Documented resource attributes include contractor_details: The company's contractor registration, or null; subcontractor_details: The company's subcontractor registration, or null.

    GET /v2/cis_settings

  • Write

    Update CIS settings

    Payload should have a root of cis_settings . A successful update returns 200 OK and the same object as GET . contractor_details , subcontractor_details and prior_deductions each work the same way: Anything other than an object or null for those keys is rejected. So one section can be updated, or removed, without mentioning the other. The whole request is applied in a single transaction - if any part is rejected, nothing is written. Registering as a contractor generates CIS returns for each tax month from reporting_starts_on . Registers the company as a contractor and records prior deductions. The company's existing deduction rates are left alone. Deregisters the company as a contractor, leaving the subcontractor registration alone. Documented resource attributes include contractor_details: The company's contractor registration, or null; subcontractor_details: The company's subcontractor registration, or null.

    PUT /v2/cis_settings

company

  • Read

    General company information

    The list of basic information about a company held by FreeAgent. Documented resource attributes include url: The API endpoint for the authenticated company; id: The ID of the company; name: Company name; subdomain: Company subdomain; type: One of the following: UkLimitedCompany UkLimitedLiabilityPartnership UkPartnership UkSoleTrader UkUnincorporatedLandlord UsLimitedLiabilityCompany UsPartnership UsSoleProprietor UsCCorp UsSCorp UniversalCompany; currency: Base accounting currency.

    GET /v2/company

  • Read

    List all business categories

    The values returned by this endpoint can be used for the business_category attribute. Documented resource attributes include url: The API endpoint for the authenticated company; id: The ID of the company; name: Company name; subdomain: Company subdomain; type: One of the following: UkLimitedCompany UkLimitedLiabilityPartnership UkPartnership UkSoleTrader UkUnincorporatedLandlord UsLimitedLiabilityCompany UsPartnership UsSoleProprietor UsCCorp UsSCorp UniversalCompany; currency: Base accounting currency.

    GET /v2/company/business_categories

  • Read

    Information about upcoming tax events

    Minimum access level : Tax, Accounting and Users . Documented resource attributes include url: The API endpoint for the authenticated company; id: The ID of the company; name: Company name; subdomain: Company subdomain; type: One of the following: UkLimitedCompany UkLimitedLiabilityPartnership UkPartnership UkSoleTrader UkUnincorporatedLandlord UsLimitedLiabilityCompany UsPartnership UsSoleProprietor UsCCorp UsSCorp UniversalCompany; currency: Base accounting currency.

    GET /v2/company/tax_timeline

contacts

  • Read

    List all contacts

    To sort in descending order, the sort parameter can be prefixed with a hyphen. Documented query variants use sort, updated_since, view. Documented resource attributes include url: The unique identifier for the contact; first_name: First name Required if organisation_name is not specified; last_name: Last name Required if organisation_name is not specified; organisation_name: Organisation name Required if first_name and last_name are not specified; active_projects_count: Numer of active projects belonging to the contact; direct_debit_mandate_state: Included if the contact has a current pre-authorised GoCardless Direct Debit agreement. setup : the agreement has been created in the FreeAgent UI and the email is to be sent to the customer pending : the customer has been sent the mandate email inactive : the customer has completed the mandate agreement and we are waiting on confirmation from GoCardless active : GoCardless have confirmed the mandate and it is now usable failed : agreement failed, the customer's details were rejected by GoCardless (or the Bank) as invalid.

    GET /v2/contacts

  • Read

    Get a single contact

    Documented resource attributes include url: The unique identifier for the contact; first_name: First name Required if organisation_name is not specified; last_name: Last name Required if organisation_name is not specified; organisation_name: Organisation name Required if first_name and last_name are not specified; active_projects_count: Numer of active projects belonging to the contact; direct_debit_mandate_state: Included if the contact has a current pre-authorised GoCardless Direct Debit agreement. setup : the agreement has been created in the FreeAgent UI and the email is to be sent to the customer pending : the customer has been sent the mandate email inactive : the customer has completed the mandate agreement and we are waiting on confirmation from GoCardless active : GoCardless have confirmed the mandate and it is now usable failed : agreement failed, the customer's details were rejected by GoCardless (or the Bank) as invalid.

    GET /v2/contacts/{id}

  • Write

    Create a contact

    Payload should have a root contact element, containing elements listed under Attributes . Documented resource attributes include url: The unique identifier for the contact; first_name: First name Required if organisation_name is not specified; last_name: Last name Required if organisation_name is not specified; organisation_name: Organisation name Required if first_name and last_name are not specified; active_projects_count: Numer of active projects belonging to the contact; direct_debit_mandate_state: Included if the contact has a current pre-authorised GoCardless Direct Debit agreement. setup : the agreement has been created in the FreeAgent UI and the email is to be sent to the customer pending : the customer has been sent the mandate email inactive : the customer has completed the mandate agreement and we are waiting on confirmation from GoCardless active : GoCardless have confirmed the mandate and it is now usable failed : agreement failed, the customer's details were rejected by GoCardless (or the Bank) as invalid.

    POST /v2/contacts

  • Write

    Update a contact

    Payload should have a root contact element, containing elements listed under Attributes that should be updated. Documented resource attributes include url: The unique identifier for the contact; first_name: First name Required if organisation_name is not specified; last_name: Last name Required if organisation_name is not specified; organisation_name: Organisation name Required if first_name and last_name are not specified; active_projects_count: Numer of active projects belonging to the contact; direct_debit_mandate_state: Included if the contact has a current pre-authorised GoCardless Direct Debit agreement. setup : the agreement has been created in the FreeAgent UI and the email is to be sent to the customer pending : the customer has been sent the mandate email inactive : the customer has completed the mandate agreement and we are waiting on confirmation from GoCardless active : GoCardless have confirmed the mandate and it is now usable failed : agreement failed, the customer's details were rejected by GoCardless (or the Bank) as invalid.

    PUT /v2/contacts/{id}

  • Destructive

    Delete a contact

    Documented resource attributes include url: The unique identifier for the contact; first_name: First name Required if organisation_name is not specified; last_name: Last name Required if organisation_name is not specified; organisation_name: Organisation name Required if first_name and last_name are not specified; active_projects_count: Numer of active projects belonging to the contact; direct_debit_mandate_state: Included if the contact has a current pre-authorised GoCardless Direct Debit agreement. setup : the agreement has been created in the FreeAgent UI and the email is to be sent to the customer pending : the customer has been sent the mandate email inactive : the customer has completed the mandate agreement and we are waiting on confirmation from GoCardless active : GoCardless have confirmed the mandate and it is now usable failed : agreement failed, the customer's details were rejected by GoCardless (or the Bank) as invalid.

    DELETE /v2/contacts/{id}

corporation_tax_returns

  • Read

    List Corporation Tax Returns for a company

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; amount_due: Amount to be paid by payment_due_on; payment_due_on: The date on which payment is due; payment_status: For returns which require payment, one of unpaid or marked_as_paid . paid is reserved for future use. Key is omitted if there are no payments to be made..

    GET /v2/corporation_tax_returns

  • Read

    Fetch details for a Corporation Tax Return

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; amount_due: Amount to be paid by payment_due_on; payment_due_on: The date on which payment is due; payment_status: For returns which require payment, one of unpaid or marked_as_paid . paid is reserved for future use. Key is omitted if there are no payments to be made..

    GET /v2/corporation_tax_returns/{period_ends_on}

  • Write

    Mark a Corporation Tax Return as Filed

    Minimum access level : Full Access for non practice-managed companies, Account Manager for practice-managed companies. Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; amount_due: Amount to be paid by payment_due_on; payment_due_on: The date on which payment is due; payment_status: For returns which require payment, one of unpaid or marked_as_paid . paid is reserved for future use. Key is omitted if there are no payments to be made..

    PUT /v2/corporation_tax_returns/{period_ends_on}/mark_as_filed

  • Write

    Mark a Corporation Tax Return as Unfiled

    Minimum access level : Full Access for non practice-managed companies, Account Manager for practice-managed companies. Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; amount_due: Amount to be paid by payment_due_on; payment_due_on: The date on which payment is due; payment_status: For returns which require payment, one of unpaid or marked_as_paid . paid is reserved for future use. Key is omitted if there are no payments to be made..

    PUT /v2/corporation_tax_returns/{period_ends_on}/mark_as_unfiled

  • Write

    Mark a Corporation Tax Return as Paid

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; amount_due: Amount to be paid by payment_due_on; payment_due_on: The date on which payment is due; payment_status: For returns which require payment, one of unpaid or marked_as_paid . paid is reserved for future use. Key is omitted if there are no payments to be made..

    PUT /v2/corporation_tax_returns/{period_ends_on}/mark_as_paid

  • Write

    Mark a Corporation Tax Return as Unpaid

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; amount_due: Amount to be paid by payment_due_on; payment_due_on: The date on which payment is due; payment_status: For returns which require payment, one of unpaid or marked_as_paid . paid is reserved for future use. Key is omitted if there are no payments to be made..

    PUT /v2/corporation_tax_returns/{period_ends_on}/mark_as_unpaid

credit_note_reconciliations

  • Read

    List all credit note reconciliations

    Documented query variants use updated_since. Documented resource attributes include url: The unique identifier for the credit note reconciliation; gross_value: The amount reconciled between the credit note and invoice; dated_on: Date the reconciliation takes effect in YYYY-MM-DD format; exchange_rate: Rate at which invoice amount is converted into company's native currency; currency: Credit note reconciliation's currency; invoice: Invoice being reconciled.

    GET /v2/credit_note_reconciliations

  • Read

    Get a single credit note reconciliation

    Documented resource attributes include url: The unique identifier for the credit note reconciliation; gross_value: The amount reconciled between the credit note and invoice; dated_on: Date the reconciliation takes effect in YYYY-MM-DD format; exchange_rate: Rate at which invoice amount is converted into company's native currency; currency: Credit note reconciliation's currency; invoice: Invoice being reconciled.

    GET /v2/credit_note_reconciliations/{id}

  • Write

    Create a credit note reconciliation

    Payload should have a root credit_note_reconciliation element, containing elements listed under Credit Note Reconciliation Attributes . Documented resource attributes include url: The unique identifier for the credit note reconciliation; gross_value: The amount reconciled between the credit note and invoice; dated_on: Date the reconciliation takes effect in YYYY-MM-DD format; exchange_rate: Rate at which invoice amount is converted into company's native currency; currency: Credit note reconciliation's currency; invoice: Invoice being reconciled.

    POST /v2/credit_note_reconciliations

  • Write

    Update a credit note reconciliation

    Payload should have a root credit_note_reconciliation element, containing elements listed under Credit Note Reconciliation Attributes . Documented resource attributes include url: The unique identifier for the credit note reconciliation; gross_value: The amount reconciled between the credit note and invoice; dated_on: Date the reconciliation takes effect in YYYY-MM-DD format; exchange_rate: Rate at which invoice amount is converted into company's native currency; currency: Credit note reconciliation's currency; invoice: Invoice being reconciled.

    PUT /v2/credit_note_reconciliations/{id}

  • Destructive

    Delete a credit note reconciliation

    Documented resource attributes include url: The unique identifier for the credit note reconciliation; gross_value: The amount reconciled between the credit note and invoice; dated_on: Date the reconciliation takes effect in YYYY-MM-DD format; exchange_rate: Rate at which invoice amount is converted into company's native currency; currency: Credit note reconciliation's currency; invoice: Invoice being reconciled.

    DELETE /v2/credit_note_reconciliations/{id}

credit_notes

  • Read

    List all credit notes

    To sort in descending order, the sort parameter can be prefixed with a hyphen. You can include credit note items nested into the list of credit notes which increases request size but removes the need to request the credit notes separately to see credit note item information. Documented query variants use contact, nested_credit_note_items, project, sort, updated_since, view. Documented resource attributes include url: The unique identifier for the credit note; status: One of the following: Draft Open Overdue Refunded Written-off; long_status: Credit note status along with the due date as a relative date to 'today'; contact: The contact being credited; project: The project being credited; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    GET /v2/credit_notes

  • Read

    Get a single credit note

    Documented resource attributes include url: The unique identifier for the credit note; status: One of the following: Draft Open Overdue Refunded Written-off; long_status: Credit note status along with the due date as a relative date to 'today'; contact: The contact being credited; project: The project being credited; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    GET /v2/credit_notes/{id}

  • Read

    Get a single credit note as PDF

    For compatibility purposes, the API returns a base64-encoded representation of the PDF data inside a JSON or XML payload. After fetching the response, simply look inside the pdf.content node and base64-decode its value to get the PDF. The encoded data complies with RFC 2045. Documented resource attributes include url: The unique identifier for the credit note; status: One of the following: Draft Open Overdue Refunded Written-off; long_status: Credit note status along with the due date as a relative date to 'today'; contact: The contact being credited; project: The project being credited; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    GET /v2/credit_notes/{id}/pdf

  • Write

    Create a credit note

    A credit note is always created with a status of Draft . You must use the status transitions to mark a credit note as Draft , Sent or Cancelled . Payload should have a root credit_note element, containing elements listed under Credit Note Attributes . Documented resource attributes include url: The unique identifier for the credit note; status: One of the following: Draft Open Overdue Refunded Written-off; long_status: Credit note status along with the due date as a relative date to 'today'; contact: The contact being credited; project: The project being credited; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    POST /v2/credit_notes

  • Write

    Email a credit note

    Documented resource attributes include url: The unique identifier for the credit note; status: One of the following: Draft Open Overdue Refunded Written-off; long_status: Credit note status along with the due date as a relative date to 'today'; contact: The contact being credited; project: The project being credited; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    POST /v2/credit_notes/{id}/send_email

  • Write

    Mark credit note as sent

    Can also be used to re-open a credit note after it has been cancelled. Documented resource attributes include url: The unique identifier for the credit note; status: One of the following: Draft Open Overdue Refunded Written-off; long_status: Credit note status along with the due date as a relative date to 'today'; contact: The contact being credited; project: The project being credited; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    PUT /v2/credit_notes/{id}/transitions/mark_as_sent

  • Write

    Mark credit note as draft

    Documented resource attributes include url: The unique identifier for the credit note; status: One of the following: Draft Open Overdue Refunded Written-off; long_status: Credit note status along with the due date as a relative date to 'today'; contact: The contact being credited; project: The project being credited; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    PUT /v2/credit_notes/{id}/transitions/mark_as_draft

  • Destructive

    Update a credit note

    To update the status of a credit note you must use the status transitions to mark a credit note as Draft , Sent or Cancelled . Payload should have a root credit_note element, containing elements listed under Credit Note Attributes that should be updated. Documented resource attributes include url: The unique identifier for the credit note; status: One of the following: Draft Open Overdue Refunded Written-off; long_status: Credit note status along with the due date as a relative date to 'today'; contact: The contact being credited; project: The project being credited; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord .. Nested update payload can delete existing credit-note items using _destroy; maximum documented effect is destructive.

    PUT /v2/credit_notes/{id}

  • Destructive

    Delete a credit note

    Documented resource attributes include url: The unique identifier for the credit note; status: One of the following: Draft Open Overdue Refunded Written-off; long_status: Credit note status along with the due date as a relative date to 'today'; contact: The contact being credited; project: The project being credited; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    DELETE /v2/credit_notes/{id}

email_addresses

  • Read

    Get a list of verified sender email addresses

    Requires vendor access level Time , unless stated otherwise.

    GET /v2/email_addresses

estimates

  • Read

    List all estimates

    You can include estimate items nested into the list of estimates which increases request size but removes the need to request the estimates separately to see estimate item information. Documented query variants use contact, from_date, invoice, nested_estimate_items, project, to_date, updated_since, view. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    GET /v2/estimates

  • Read

    Get a single estimate

    Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    GET /v2/estimates/{id}

  • Read

    Get a single estimate as PDF

    For compatibility purposes, the API returns a base64-encoded representation of the PDF data inside a JSON or XML payload. After fetching the response, simply look inside the pdf.content node and base64-decode its value to get the PDF. The encoded data complies with RFC 2045. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    GET /v2/estimates/{id}/pdf

  • Read

    Default additional text

    This API allows configuration of the additional text shown on all estimates issued by the company. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    GET /v2/estimates/default_additional_text

  • Write

    Create an estimate

    Payload should have a root estimate element, containing elements listed under Estimate Attributes . Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    POST /v2/estimates

  • Write

    Update an estimate

    To update the status of an estimate you must use the status transitions to mark an estimate as Draft , Sent , Approved or Rejected . Payload should have a root estimate element, containing elements listed under Estimate Attributes that should be updated. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    PUT /v2/estimates/{id}

  • Write

    Duplicate an estimate

    Estimates are always duplicated with a status of Draft, the next reference in the sequence and dated for today's date. The duplicated estimate will be returned in the body. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    POST /v2/estimates/{id}/duplicate

  • Write

    Email an estimate

    If, instead of defining all e-mail attributes in your request, you wish to use an existing e-mail template , all you need to include in the request body is the use_template option set to true , i.e. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    POST /v2/estimates/{id}/send_email

  • Write

    Mark estimate as sent

    Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    PUT /v2/estimates/{id}/transitions/mark_as_sent

  • Write

    Mark estimate as draft

    Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    PUT /v2/estimates/{id}/transitions/mark_as_draft

  • Write

    Mark estimate as approved

    Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    PUT /v2/estimates/{id}/transitions/mark_as_approved

  • Write

    Mark estimate as rejected

    Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    PUT /v2/estimates/{id}/transitions/mark_as_rejected

  • Write

    Convert estimate to an invoice

    The estimate will be returned in the body, updated with "status": "Invoiced" and "invoice": set to the URL of the generated Invoice. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    PUT /v2/estimates/{id}/transitions/convert_to_invoice

  • Write

    Default additional text

    This API allows configuration of the additional text shown on all estimates issued by the company. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    PUT /v2/estimates/default_additional_text

  • Destructive

    Delete an estimate

    Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    DELETE /v2/estimates/{id}

  • Destructive

    Default additional text

    This API allows configuration of the additional text shown on all estimates issued by the company. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    DELETE /v2/estimates/default_additional_text

estimate_items

  • Write

    Create an estimate item

    Payload should have two root elements: Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    POST /v2/estimate_items

  • Write

    Update an estimate item

    Payload should have a root estimate_item element, containing elements listed under Estimate Item Attributes that should be updated. Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    PUT /v2/estimate_items/{id}

  • Destructive

    Delete an estimate item

    Documented resource attributes include url: The unique identifier for the estimate; status: One of the following: Draft Sent Open Approved Rejected Invoiced; estimate_type: One of the following: Estimate Quote Proposal; contact: The contact for whom the estimate is created; project: Project being estimated; reference: Free-text reference.

    DELETE /v2/estimate_items/{id}

expenses

  • Read

    List all expenses

    Documented query variants use from_date, project, to_date, updated_since, view. Documented resource attributes include url: The unique identifier for the expense; user: Expense claimant; category: One of the accounting categories , or Mileage; dated_on: Date of expense in YYYY-MM-DD format; currency: Expense's currency; gross_value: Total value expressed in the given currency . When a negative value is given, this will be a payment to the claimant. When a positive value is given, this will be a refund due from the claimant. Required if category is not Mileage.

    GET /v2/expenses

  • Read

    Get a single expense

    Documented resource attributes include url: The unique identifier for the expense; user: Expense claimant; category: One of the accounting categories , or Mileage; dated_on: Date of expense in YYYY-MM-DD format; currency: Expense's currency; gross_value: Total value expressed in the given currency . When a negative value is given, this will be a payment to the claimant. When a positive value is given, this will be a refund due from the claimant. Required if category is not Mileage.

    GET /v2/expenses/{id}

  • Read

    Get mileage settings

    Documented resource attributes include url: The unique identifier for the expense; user: Expense claimant; category: One of the accounting categories , or Mileage; dated_on: Date of expense in YYYY-MM-DD format; currency: Expense's currency; gross_value: Total value expressed in the given currency . When a negative value is given, this will be a payment to the claimant. When a positive value is given, this will be a refund due from the claimant. Required if category is not Mileage.

    GET /v2/expenses/mileage_settings

  • Write

    Create an expense

    Payload should have a root expense element, containing elements listed under Attributes . Note: Generally, sales tax on expenses incurred in a foreign currency will not be reclaimable and should be omitted. If sales_tax_rate is specified on a foreign currency expense, it will be ignored and the rate set to zero. If you can reclaim sales tax from HMRC/your local government agency, then the amount reclaimable should be entered in your native currency using the manual_sales_tax_amount field. You can also post an array of expenses inside an expenses tag: Documented resource attributes include url: The unique identifier for the expense; user: Expense claimant; category: One of the accounting categories , or Mileage; dated_on: Date of expense in YYYY-MM-DD format; currency: Expense's currency; gross_value: Total value expressed in the given currency . When a negative value is given, this will be a payment to the claimant. When a positive value is given, this will be a refund due from the claimant. Required if category is not Mileage.

    POST /v2/expenses

  • Write

    Update an expense

    Payload should have a root expense element, containing elements listed under Attributes that should be updated. Note: Generally, sales tax on expenses incurred in a foreign currency will not be reclaimable and should be omitted. If sales_tax_rate is specified on a foreign currency expense, it will be ignored and the rate set to zero. If you can reclaim sales tax from HMRC/your local government agency, then the amount reclaimable should be entered in your native currency using the manual_sales_tax_amount field. Documented resource attributes include url: The unique identifier for the expense; user: Expense claimant; category: One of the accounting categories , or Mileage; dated_on: Date of expense in YYYY-MM-DD format; currency: Expense's currency; gross_value: Total value expressed in the given currency . When a negative value is given, this will be a payment to the claimant. When a positive value is given, this will be a refund due from the claimant. Required if category is not Mileage.

    PUT /v2/expenses/{id}

  • Destructive

    Delete an expense

    Documented resource attributes include url: The unique identifier for the expense; user: Expense claimant; category: One of the accounting categories , or Mileage; dated_on: Date of expense in YYYY-MM-DD format; currency: Expense's currency; gross_value: Total value expressed in the given currency . When a negative value is given, this will be a payment to the claimant. When a positive value is given, this will be a refund due from the claimant. Required if category is not Mileage.

    DELETE /v2/expenses/{id}

final_accounts_reports

  • Read

    List Final Accounts Reports for a company

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period; period_starts_on: The start date of the period; filing_due_on: The date on which submission is due; filing_status: One of draft , unfiled , pending , rejected , filed or marked_as_filed .; filed_at: For returns which have been filed online, the date and time at which that happened.

    GET /v2/final_accounts_reports

  • Read

    Fetch details for a Final Accounts Report

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period; period_starts_on: The start date of the period; filing_due_on: The date on which submission is due; filing_status: One of draft , unfiled , pending , rejected , filed or marked_as_filed .; filed_at: For returns which have been filed online, the date and time at which that happened.

    GET /v2/final_accounts_reports/{period_ends_on}

  • Write

    Mark a Final Accounts Report as Filed

    Minimum access level : Full Access for non practice-managed companies, Account Manager for practice-managed companies. Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period; period_starts_on: The start date of the period; filing_due_on: The date on which submission is due; filing_status: One of draft , unfiled , pending , rejected , filed or marked_as_filed .; filed_at: For returns which have been filed online, the date and time at which that happened.

    PUT /v2/final_accounts_reports/{period_ends_on}/mark_as_filed

  • Write

    Mark a Final Accounts Report as Unfiled

    Minimum access level : Full Access for non practice-managed companies, Account Manager for practice-managed companies. Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period; period_starts_on: The start date of the period; filing_due_on: The date on which submission is due; filing_status: One of draft , unfiled , pending , rejected , filed or marked_as_filed .; filed_at: For returns which have been filed online, the date and time at which that happened.

    PUT /v2/final_accounts_reports/{period_ends_on}/mark_as_unfiled

hire_purchases

  • Read

    List all hire purchases

    Returns a list of hire purchases Documented resource attributes include url: The unique identifier for the hire purchase; description: The free-text description of the hire purchase, taken from the bill; bill: The unique identifier for the bill for this hire purchase; liabilities_over_one_year_category: The unique identifier for the hire purchase's account for liabilities over one year; liabilities_under_one_year_category: The unique identifier for the hire purchase's account for liabilities within a year.

    GET /v2/hire_purchases

  • Read

    Get a single hire purchase

    Documented resource attributes include url: The unique identifier for the hire purchase; description: The free-text description of the hire purchase, taken from the bill; bill: The unique identifier for the bill for this hire purchase; liabilities_over_one_year_category: The unique identifier for the hire purchase's account for liabilities over one year; liabilities_under_one_year_category: The unique identifier for the hire purchase's account for liabilities within a year.

    GET /v2/hire_purchases/{id}

journal_sets

  • Read

    List all journal sets

    Documented query variants use from_date, tag, to_date, updated_since. Documented resource attributes include url: The unique identifier for the journal set; dated_on: The date on which the journal entries are entered, in YYYY-MM-DD format Not applicable on opening balances; description: Free-text description; journal_entries: Array of journal entry data structures. See Journal Entry Attributes .; tag: Free-text tag that can be used to identify journal sets created by your application, or to filter journal sets when searching Tagged journal sets will not be editable by users in the app - updates can only be made via the API; bank_accounts: Read-only array of bank account opening balances.

    GET /v2/journal_sets

  • Read

    Get a single journal set

    Documented resource attributes include url: The unique identifier for the journal set; dated_on: The date on which the journal entries are entered, in YYYY-MM-DD format Not applicable on opening balances; description: Free-text description; journal_entries: Array of journal entry data structures. See Journal Entry Attributes .; tag: Free-text tag that can be used to identify journal sets created by your application, or to filter journal sets when searching Tagged journal sets will not be editable by users in the app - updates can only be made via the API; bank_accounts: Read-only array of bank account opening balances.

    GET /v2/journal_sets/{id}

  • Read

    Get the Opening Balances

    Documented resource attributes include url: The unique identifier for the journal set; dated_on: The date on which the journal entries are entered, in YYYY-MM-DD format Not applicable on opening balances; description: Free-text description; journal_entries: Array of journal entry data structures. See Journal Entry Attributes .; tag: Free-text tag that can be used to identify journal sets created by your application, or to filter journal sets when searching Tagged journal sets will not be editable by users in the app - updates can only be made via the API; bank_accounts: Read-only array of bank account opening balances.

    GET /v2/journal_sets/opening_balances

  • Write

    Include individual records for each employee

    https://dev.freeagent.com/docs/journal_sets You will need to know the following about each individual on the pay run: Note that 902 is a parent category that contains subcategories for each user. For example, Nathan Barley as the first user on the account (ID=1) would be 902-1 and Jack Smith as the second user on the account (ID=2) would be 902-2. As the payroll journals include a breakdown for each employee, you will need to know which user corresponds to each subaccount of 902 Salary and Bonuses. To do this you can call the Categories API with subaccounts set to true which will now include the FreeAgent ID and name of the user alongside any 90x-y accounts. As long as you have a mapping to FreeAgent users in your system, you’ll be able to identify the salary account for any specific user by comparing that value. Should you wish to know if the user is an employee or a director, you can call the Users API , and the role value tells you if they're a director or not. For an employee who earned £2,000 each week, before tax and NI, the following would apply: To reflect this in FreeAgent, the following journal entries would be created, dated the same day as the employee’s payslip for the first week of June: Payload should have a root journal_set element, containing elements listed under Journal Set Attributes. If the employer is claiming the Employment Allowance, then you will need to create the following extra journal entries to show the reduction in the employer's NI liability: If you want to merge the employee records together , you will need to know the following: Employees Directors Documented resource attributes include url: The unique identifier for the journal set; dated_on: The date on which the journal entries are entered, in YYYY-MM-DD format Not applicable on opening balances; description: Free-text description; journal_entries: Array of journal entry data structures. See Journal Entry Attributes .; tag: Free-text tag that can be used to identify journal sets created by your application, or to filter journal sets when searching Tagged journal sets will not be editable by users in the app - updates can only be made via the API; bank_accounts: Read-only array of bank account opening balances.

    POST /v2/journal_sets

  • Destructive

    Update a journal set

    Payload should have a root journal_set element, containing elements listed under Journal Set Attributes that should be updated. Documented resource attributes include url: The unique identifier for the journal set; dated_on: The date on which the journal entries are entered, in YYYY-MM-DD format Not applicable on opening balances; description: Free-text description; journal_entries: Array of journal entry data structures. See Journal Entry Attributes .; tag: Free-text tag that can be used to identify journal sets created by your application, or to filter journal sets when searching Tagged journal sets will not be editable by users in the app - updates can only be made via the API; bank_accounts: Read-only array of bank account opening balances. Nested update payload can delete existing journal entries using _destroy; maximum documented effect is destructive.

    PUT /v2/journal_sets/{id}

  • Destructive

    Delete a journal set

    Documented resource attributes include url: The unique identifier for the journal set; dated_on: The date on which the journal entries are entered, in YYYY-MM-DD format Not applicable on opening balances; description: Free-text description; journal_entries: Array of journal entry data structures. See Journal Entry Attributes .; tag: Free-text tag that can be used to identify journal sets created by your application, or to filter journal sets when searching Tagged journal sets will not be editable by users in the app - updates can only be made via the API; bank_accounts: Read-only array of bank account opening balances.

    DELETE /v2/journal_sets/{id}

users

  • Read

    List Income Tax Returns for a User

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; payments: An array of Payments; filing_due_on: The date on which submission is due; filing_status: One of unfiled , pending , rejected , provisionally_filed , filed or marked_as_filed ..

    GET /v2/users/{user_id}/self_assessment_returns

  • Read

    Fetch details for an Income Tax Return

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; payments: An array of Payments; filing_due_on: The date on which submission is due; filing_status: One of unfiled , pending , rejected , provisionally_filed , filed or marked_as_filed ..

    GET /v2/users/{user_id}/self_assessment_returns/{period_ends_on}

  • Read

    List all users

    Documented query variants use view. Documented resource attributes include url: The unique identifier for the user; email: Login email address; first_name: First name; last_name: Last name; ni_number: UK National Insurance Number; unique_tax_reference: 10-digit UK Tax Reference.

    GET /v2/users

  • Read

    Get a single user

    Documented resource attributes include url: The unique identifier for the user; email: Login email address; first_name: First name; last_name: Last name; ni_number: UK National Insurance Number; unique_tax_reference: 10-digit UK Tax Reference.

    GET /v2/users/{id}

  • Read

    Get personal profile

    This will return the details for the currently active user Minimum access level : Time Documented resource attributes include url: The unique identifier for the user; email: Login email address; first_name: First name; last_name: Last name; ni_number: UK National Insurance Number; unique_tax_reference: 10-digit UK Tax Reference.

    GET /v2/users/me

  • Write

    Mark an Income Tax Return as Filed

    Minimum access level : Full Access Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; payments: An array of Payments; filing_due_on: The date on which submission is due; filing_status: One of unfiled , pending , rejected , provisionally_filed , filed or marked_as_filed ..

    PUT /v2/users/{user_id}/self_assessment_returns/{period_ends_on}/mark_as_filed

  • Write

    Mark an Income Tax Return as Unfiled

    Minimum access level : Full Access Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; payments: An array of Payments; filing_due_on: The date on which submission is due; filing_status: One of unfiled , pending , rejected , provisionally_filed , filed or marked_as_filed ..

    PUT /v2/users/{user_id}/self_assessment_returns/{period_ends_on}/mark_as_unfiled

  • Write

    Mark an Income Tax Return Payment as Paid

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; payments: An array of Payments; filing_due_on: The date on which submission is due; filing_status: One of unfiled , pending , rejected , provisionally_filed , filed or marked_as_filed ..

    PUT /v2/users/{user_id}/self_assessment_returns/{period_ends_on}/payments/{payment_date}/mark_as_paid

  • Write

    Mark an Income Tax Return Payment as Unpaid

    Documented resource attributes include url: Unique identifier for the record; period_ends_on: The end date of the period covered by the return; period_starts_on: The start date of the period covered by the return; payments: An array of Payments; filing_due_on: The date on which submission is due; filing_status: One of unfiled , pending , rejected , provisionally_filed , filed or marked_as_filed ..

    PUT /v2/users/{user_id}/self_assessment_returns/{period_ends_on}/payments/{payment_date}/mark_as_unpaid

  • Write

    Create a user

    Payload should have a root user element, containing elements listed under Attributes . Documented resource attributes include url: The unique identifier for the user; email: Login email address; first_name: First name; last_name: Last name; ni_number: UK National Insurance Number; unique_tax_reference: 10-digit UK Tax Reference.

    POST /v2/users

  • Destructive

    Delete a task

    Documented resource attributes include url: The unique identifier for the task; name: Task name; currency: Currency code of the project (e.g. USD , GBP , EUR , …); is_billable: true if charging your clients for the task, false otherwise; status: One of the following: Active Completed Hidden; created_at: Creation of the task resource (UTC).

    DELETE /v2/users/{id}

  • Destructive

    Update a user

    Minimum access level : Time Payload should have a root user element, containing elements listed under Attributes that should be updated. Documented resource attributes include url: The unique identifier for the user; email: Login email address; first_name: First name; last_name: Last name; ni_number: UK National Insurance Number; unique_tax_reference: 10-digit UK Tax Reference.

    PUT /v2/users/{id}

  • Destructive

    Update a user

    Minimum access level : Time Payload should have a root user element, containing elements listed under Attributes that should be updated. Documented resource attributes include url: The unique identifier for the user; email: Login email address; first_name: First name; last_name: Last name; ni_number: UK National Insurance Number; unique_tax_reference: 10-digit UK Tax Reference.

    PUT /v2/users/me

invoices

  • Read

    List all invoices

    To sort in descending order, the sort parameter can be prefixed with a hyphen. You can include invoice items nested into the list of invoices which increases request size but removes the need to request the invoices separately to see invoice item information. Documented query variants use contact, nested_invoice_items, project, sort, updated_since, view. Documented resource attributes include url: The unique identifier for the invoice; status: One of the following: Draft Scheduled To Email Open Zero Value Overdue Paid Overpaid Refunded Written-off Part written-off; long_status: Invoice status along with the due date as a relative date to 'today'; contact: The contact being invoiced; project: The project being invoiced; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    GET /v2/invoices

  • Read

    Get a single invoice

    Documented resource attributes include url: The unique identifier for the invoice; status: One of the following: Draft Scheduled To Email Open Zero Value Overdue Paid Overpaid Refunded Written-off Part written-off; long_status: Invoice status along with the due date as a relative date to 'today'; contact: The contact being invoiced; project: The project being invoiced; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    GET /v2/invoices/{id}

  • Read

    Get a single invoice as PDF

    For compatibility purposes, the API returns a base64-encoded representation of the PDF data inside a JSON or XML payload. After fetching the response, simply look inside the pdf.content node and base64-decode its value to get the PDF. The encoded data complies with RFC 2045. Documented resource attributes include url: The unique identifier for the invoice; status: One of the following: Draft Scheduled To Email Open Zero Value Overdue Paid Overpaid Refunded Written-off Part written-off; long_status: Invoice status along with the due date as a relative date to 'today'; contact: The contact being invoiced; project: The project being invoiced; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    GET /v2/invoices/{id}/pdf

  • Read

    Get invoice timeline

    Documented resource attributes include url: The unique identifier for the invoice; status: One of the following: Draft Scheduled To Email Open Zero Value Overdue Paid Overpaid Refunded Written-off Part written-off; long_status: Invoice status along with the due date as a relative date to 'today'; contact: The contact being invoiced; project: The project being invoiced; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    GET /v2/invoices/timeline

  • Read

    Default additional text

    This API allows configuration of the additional text shown on all invoices issued by the company. Documented resource attributes include url: The unique identifier for the invoice; status: One of the following: Draft Scheduled To Email Open Zero Value Overdue Paid Overpaid Refunded Written-off Part written-off; long_status: Invoice status along with the due date as a relative date to 'today'; contact: The contact being invoiced; project: The project being invoiced; property: The property pertaining to this invoice. Only accepted and required for companies with type UkUnincorporatedLandlord ..

    GET /v2/invoices/default_additional_text

  • Write

    Create an invoice

[...]
